Loading...
Searching...
No Matches
Magick::composeImage Class Reference

## Public Member Functions

| composeImage (const CompositeOperator compose_)
void | operator() (Image &image_) const

## Private Attributes

CompositeOperator | _compose

## Detailed Description

Definition at line 1404 of file STL.h.

## Constructor & Destructor Documentation

## composeImage()

Magick::composeImage::composeImage | ( | const CompositeOperator | compose_ | ) |

Definition at line 1299 of file STL.cpp.

: _compose( compose_ )
{
}

## Member Function Documentation

## operator()()

void Magick::composeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1303 of file STL.cpp.

{
image_.compose( _compose );
}

## Field Documentation

## _compose

CompositeOperator Magick::composeImage::_compose

private

Definition at line 1412 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp